/// <reference types="node" />
export declare class BitStream {
    private data;
    private readOffset;
    private writeOffset;
    constructor(data?: Buffer);
    getBuffer(): Buffer;
    setBuffer(data: Buffer): void;
    setReadOffset(offset: number): void;
    setWriteOffset(offset: number): void;
    getReadBytesAvailable(): number;
    getWriteBytesAvailable(): number;
    shrink(): void;
    ReadBits(count: number): number;
    ReadByte(): number;
    ReadByteList(count: number): Buffer;
    ReadChar(): string;
    ReadShort(): number;
    ReadInt(): number;
    ReadFloat(): number;
    ReadString(): string;
    ReadBoolean(): boolean;
    WriteBits(value: number, count: number): void;
    WriteByte(value: number): void;
    WriteByteList(value: Buffer): void;
    WriteChar(value: string): void;
    WriteShort(value: number): void;
    WriteInt(value: number): void;
    WriteFloat(value: number): void;
    WriteString(value: string): void;
    WriteBoolean(value: boolean): void;
}
