import { BitStream } from "./BitStream";
export declare class GameSettings {
    flags: number;
    maxPlayers: number;
    duration: number;
    roundDuration: number;
    startingLives: number;
    scoringType: number;
    scoreToWin: number;
    gameSpeed: number;
    damageRatio: number;
    levelSetID: number;
    unknown: number;
    unknown2: number;
    read(data: BitStream): void;
    write(data: BitStream): void;
    static read(data: BitStream): GameSettings;
}
