import { BitStream } from "./BitStream";
import { HeroData } from "./HeroData";
export declare class PlayerData {
    colourId: number;
    spawnBotId: number;
    emitterId: number;
    playerThemeId: number;
    taunts: number[];
    winTaunt: number;
    loseTaunt: number;
    ownedTaunts: number[];
    avatarId: number;
    team: number;
    unknown2: number;
    heroes: HeroData[];
    bot: boolean;
    handicapsEnabled: boolean;
    handicapStockCount: number;
    handicapDamageDoneMultiplier: number;
    handicapDamageTakenMultiplier: number;
    read(data: BitStream, heroCount: number): void;
    write(data: BitStream, heroCount: number): void;
    calcChecksum(): number;
    static read(data: BitStream, heroCount: number): PlayerData;
}
