"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const os_1 = require("os");
const _1 = require(".");
const replayDir = (0, os_1.homedir)() + `/BrawlhallaReplays`;
const inPath = `${replayDir}/7.06_ShipwreckFalls_32.replay`;
// const inPath = `${replayDir}/[7.06] SmallGreatHall.replay`;
const outPath = `${replayDir}/out.replay`;
const replayData = (0, fs_1.readFileSync)(inPath);
const replay = new _1.ReplayData();
const stream = new _1.BitStream(replayData);
replay.read(stream);
replay.entities.forEach(ent => ent.data.colourId = 64);
(0, fs_1.writeFileSync)(outPath, replay.write());
_1.ReplayData.ReadReplay((0, fs_1.readFileSync)(outPath));
